
-- @AutoRun
-- drop table tl_class_norm;



CREATE TABLE tl_class_norm (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    class_code varchar(200) NULL,
    mean_score numeric(20,5) NULL,
    max_score numeric(20,5) NULL,
    min_score numeric(20,5) NULL,
    stddev_score numeric(20,5) NULL,
    left_mean_score numeric(20,5) NULL,
    right_mean_score numeric(20,5) NULL,
    wght_mean_score numeric(20,5) NULL,
    wght_stddev_score numeric(20,5) NULL,
    wght_left_mean_score numeric(20,5) NULL,
    wght_right_mean_score numeric(20,5) NULL,
    level_number numeric(12)  NULL
    );



ALTER TABLE tl_class_norm ADD    
    CONSTRAINT pk_tl_class_norm PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_class_norm_level_number 
    ON tl_class_norm (level_number);
